/* 输入框 */
.layui-input:focus, .layui-textarea:focus{
    border-color:var(--border-color) !important;
}
.layui-input:hover{
    border-color:var(--border-color) !important;
}
/* 下拉框 */
.layui-form-select dl dd.layui-this{
    color:var(--primary-color) !important;
}   
/* 日期选择器 */
.layui-laydate-header:hover>i,.layui-laydate-header:hover span{
    color:var(--primary-color);
}
.layui-laydate .layui-this, .layui-laydate .layui-this>div{
    background-color:var(--primary-color) !important;
}
.laydate-footer-btns span:hover{
    color:var(--primary-color);
}

.layui-form input[type=checkbox]{
    display: inline-block;
}

/* 隐藏原始的 checkbox */
input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    border: 2px solid #ccc;
    border-radius: 4px;
    position: relative;
    cursor: pointer;
    outline: none;
    transition: background 0.2s, border-color 0.2s;
  }
  
  /* 未选中状态 */
  input[type="checkbox"]:not(:checked) {
    background-color: white;
  }
  
  /* 选中状态 */
  input[type="checkbox"]:checked {
    background-color: var(--primary-color); /* 改变为你想要的颜色 */
    border-color: var(--border-color);
  }
  
  /* 勾选对号 */
  input[type="checkbox"]:checked::after {
    content: "";
    position: absolute;
    left: 5px;
    top: 1px;
    width: 6px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
  }
